### Constructor

# Gtk.FileChooserDialog.new

#### Declaration [src]

    GtkWidget*
    gtk_file_chooser_dialog_new (
      const char* title,
      GtkWindow* parent,
      GtkFileChooserAction action,
      const char* first_button_text,
      ...
    )

#### Description [src]

Creates a new `GtkFileChooserDialog`.

This function is analogous to `gtk_dialog_new_with_buttons()`.

#### Parameters

`title` | `const char*`
| Title of the dialog, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`parent` | `GtkWindow`
| Transient parent of the dialog, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
`action` | `GtkFileChooserAction`
| Open or save mode for the dialog
`first_button_text` | `const char*`
| text to go in the first button, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`...` | ``
| response ID for the first button, then additional (button, id) pairs, ending with `NULL`

#### Return value

Returns: `GtkWidget`
a new `GtkFileChooserDialog`
Ownership is not transferred to the caller